use chrono::{DateTime, Utc};
use serde::{Serialize, Deserialize};

use super::user::PartialUser;

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct Message {
    pub id: String,
    pub channel_id: String,
    pub author: PartialUser,
    pub content: Option<String>,
    pub created_at: DateTime<Utc>,
}
