use serde::{Serialize, Deserialize};

#[derive(Serialize, Deserialize, Debug)]
pub struct HelloRequest {
    pub host: String,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct HelloResponse {
    pub public_key: String,
    pub host: String,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct NodeResponse {
    pub software: String,
    pub public_key: String,
}
